> For the complete documentation index, see [llms.txt](https://missiveapp.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://missiveapp.com/docs/developers/de/rest-api/rate-limits.md).

# Anfragelimits

Missive API-Anfragelimits: 5 gleichzeitige Anfragen, 300 pro Minute, 900 pro 15 Minuten.

Um die Leistung und Zuverlässigkeit unserer API zu gewährleisten, setzen wir für API-Anfragen die folgenden Rate-Limits durch:

* Maximal 5 gleichzeitige Anfragen zu jedem Zeitpunkt
* 300 Anfragen pro Minute (entspricht 5 Anfragen pro Sekunde)
* 900 Anfragen pro 15 Minuten (entspricht 1 Anfrage pro Sekunde)

Wenn ein Rate-Limit erreicht wird, gibt die Missive API den folgenden HTTP-Fehlerstatuscode zurück: `429 Zu viele Anfragen` mit den folgenden Headern:

| Header                | Beschreibung                                                                                        |
| --------------------- | --------------------------------------------------------------------------------------------------- |
| Retry-After           | Wie viele Sekunden der Client warten soll, bevor er eine neue Anfrage versucht                      |
| X-RateLimit-Limit     | Die Rate-Limit-Obergrenze, die für die aktuelle Anfrage gilt                                        |
| X-RateLimit-Remaining | Die Anzahl der verbleibenden Anfragen für das aktuelle Rate-Limit-Zeitfenster                       |
| X-RateLimit-Reset     | Der Zeitpunkt, zu dem das Rate-Limit zurückgesetzt wird, angegeben als UTC-Epoch-Zeit (in Sekunden) |

{% stepper %}
{% step %}

#### Die API kontinuierlich abfragen (24/7)

Senden Sie höchstens 1 Anfrage pro Sekunde. In den meisten Programmiersprachen können Sie dies mit einer 1-Sekunden-„Sleep“-Pause zwischen den Anfragen erreichen.
{% endstep %}

{% step %}

#### Periodische Anfrage-Bursts

Senden Sie höchstens 5 Anfragen pro Sekunde. So können Sie Ihre Nutzung über die Zeit verteilen, zum Beispiel:

* ein Burst von 900 Anfragen, der 3 Minuten dauert, alle 15 Minuten
* ein Burst von 600 Anfragen, der 2 Minuten dauert, alle 10 Minuten
* ein Burst von 300 Anfragen, der 1 Minute dauert, alle 5 Minuten
  {% endstep %}
  {% endstepper %}

## Reduzierung von API-Aufrufen

Einige Endpunkte unterstützen Batch-Operationen, um die Anzahl der benötigten API-Aufrufe zu reduzieren:

* **GET /v1/messages/:id,:id2,:id3** - Rufen Sie mehrere Nachrichten in einem einzigen Aufruf ab, indem Sie kommagetrennte Nachrichten-IDs übergeben. Siehe [Nachricht abrufen](https://missiveapp.com/docs/developers/de/rest-api/endpoints.md#get-a-message) für Details.

Die Verwendung von Batch-Endpunkten hilft Ihnen, innerhalb der Rate-Limits zu bleiben, wenn Sie große Datenmengen verarbeiten.

Zuletzt aktualisiert am 17. Juli 2023

<details>

<summary>Benötigen Sie genauere Antworten?</summary>

[Kontakt](https://missiveapp.com/docs/developers/de/contact.md)

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://missiveapp.com/docs/developers/de/rest-api/rate-limits.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
